## webfs 1.17.2

=== Makefile ===

prefix=/usr/local
bindir=$(prefix)/bin
mandir=$(prefix)/man/man1
mimefile="/etc/mime.types"

WARN=-Wall -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith

CC?=gcc
CFLAGS?=-g -O2	# -DNO_SENDFILE

# for using pthreads
#CFLAGS=-Wall -g -O2	-DUSE_THREADS -D_REENTRANT
#LDLIBS=-lpthread

CFLAGS += -DMIMEFILE=\"$(mimefile)\"
CFLAGS += $(WARN) 

TARGET=webfsd
OBJS=main.o request.o response.o ls.o mime.o cgi.o

all build: $(TARGET)

install: $(TARGET)
	mkdir -p $(bindir) $(mandir)
	install -s -m755 $(TARGET) $(bindir)
	install -m 644 webfsd.man $(mandir)/webfsd.1

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LDLIBS)

main.o: main.c httpd.h
request.o: request.c httpd.h
response.o: response.c httpd.h
ls.o: ls.c httpd.h
mime.o: mime.c httpd.h
cgi.o: cgi.c httpd.h

clean:
	rm -f *~ debian/*~ $(OBJS)

realclean distclean: clean
	rm -f $(TARGET)

tar: realclean
	dir=$$(basename $$(pwd));               \
	(cd ..; tar cvzf $$dir.tar.gz $$dir; rpm -ta $$dir.tar.gz)

release: realclean
	dpkg-buildpackage -tc -rfakeroot

port: realclean
	dpkg-buildpackage -B -tc -rfakeroot

checkit: realclean
	dpkg-buildpackage -us -uc -rfakeroot
#	rpm -ta ../webfs_*.tar.gz
	lintian ../webfs_*.changes

size:
	wc *.c

=== debian/changelog ===
webfs (1.17.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix more buffer overflows (CAN-2003-0833)
  * Disallow ".." as virtualhost name, to prevent file listing exposure
    (CAN-2003-0832)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 26 Sep 2003 13:30:32 -0400

webfs (1.17.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply patch from Gerd Knorr to fix buffer overflow with a long
    Request-URI (CAN-2003-0445)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 19 Jun 2003 16:28:39 -0400

webfs (1.17) unstable; urgency=low

  * new release.
  * make config/postinst keep track whenever postinst has written the
    debconf values to the config file or not (closes: #117239).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 18 Mar 2002 20:06:31 +0100

webfs (1.16) unstable; urgency=low

  * new release (closes: #120334).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 20 Nov 2001 15:31:06 +0100

webfs (1.15) unstable; urgency=low

  * ran debconf-mergetemplates, #115082 is _really_ fixed now ...

 -- Gerd Knorr <kraxel@debian.org>  Wed, 24 Oct 2001 16:37:44 +0200

webfs (1.14) unstable; urgency=low

  * new release.
  * added missing webfsd/web_syslog description to the debconf
    template (closes: #115082).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 11 Oct 2001 10:24:37 +0200

webfs (1.13) unstable; urgency=low

  * new release.
  * added german debconf translations (closes: #100517).

 -- Gerd Knorr <kraxel@debian.org>  Thu, 28 Jun 2001 12:16:16 +0200

webfs (1.12) unstable; urgency=low

  * fixed debian init script (closes: #98932).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 28 May 2001 09:24:51 +0200

webfs (1.11) unstable; urgency=low

  * new release.
  * updated the debconf scripts (closes: #96704, #97166)

 -- Gerd Knorr <kraxel@debian.org>  Mon, 21 May 2001 13:42:23 +0200

webfs (1.10) unstable; urgency=low

  * new release.
  * updated standards-version.
  * fixed dependences.

 -- Gerd Knorr <kraxel@debian.org>  Wed,  2 May 2001 14:40:30 +0200

webfs (1.9) unstable; urgency=low

  * new release.
  * fixed cut+paste bug in init script (closes: #87475)
  * the init script use the new pidfile option (closes: #87484)

 -- Gerd Knorr <kraxel@debian.org>  Fri,  2 Mar 2001 20:23:37 +0100

webfs (1.8) unstable; urgency=high

  * new release.
  * changed section from net to web
  * fixed tyops in the debian init script which (wrong switch
    for group setting which had the effect that webfs ran with
    group root. Oops.)

 -- Gerd Knorr <kraxel@debian.org>  Fri, 26 Jan 2001 19:46:28 +0100

webfs (1.7) unstable; urgency=low

  * new release
  * added start/stop script + debconf configuration

 -- Gerd Knorr <kraxel@debian.org>  Tue, 16 Jan 2001 23:49:24 +0100

webfs (1.6) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@debian.org>  Fri, 17 Nov 2000 22:40:33 +0100

webfs (1.5) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu, 17 Aug 2000 22:02:29 +0200

webfs (1.4) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Sat,  5 Aug 2000 20:46:14 +0200

webfs (1.3) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu,  1 Jun 2000 22:13:15 +0200

webfs (1.2) unstable; urgency=low

  * new release

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Thu,  1 Jun 2000 22:12:50 +0200

webfs (1.1) unstable; urgency=low

  * debianized.

 -- Gerd Knorr <kraxel@goldbach.in-berlin.de>  Sat, 13 May 2000 21:06:03 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: webfs
Section: web
Priority: optional
Build-Depends: debhelper
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: webfs
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: lightweight http server for static content
 This is a simple http server for purely static content.  You
 can use it to serve the content of a ftp server via http for
 example.  It is also nice to export some files the quick way
 by starting a http server in a few seconds, without editing
 some config file first.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DH_COMPAT=1
etcdir=$(shell echo `pwd`/debian/tmp/etc)
prefix=$(shell echo `pwd`/debian/tmp/usr)
mandir=$(prefix)/share/man/man1

build clean::
	$(MAKE) $@

clean::
	dh_clean

install: build
	$(MAKE) install prefix=$(prefix) mandir=$(mandir)
	mkdir -p $(etcdir)
	cp webfsd.conf $(etcdir)

binary-indep: install
	# nop

binary-arch: install
	dh_installdebconf	
	dh_installdocs README
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
#	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## webfs 1.21%2Bds1

=== debian/control ===
Source: webfs
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 9), libgnutls28-dev, pkg-config, po-debconf
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Standards-Version: 3.9.8
Homepage: http://linux.bytesex.org/misc/webfs.html

Package: webfs
Architecture: any
Depends: debconf | debconf-2.0, lsb-base (>= 3.2-14), ucf,
 ${misc:Depends}, ${shlibs:Depends}
Provides: httpd
Description: lightweight HTTP server for static content
 This package provides a simple web server for mostly static content,
 with limited CGI support (GET requests only).
 .
 Example uses include giving HTTP access to the contents of an FTP
 site, or exporting some files by quickly starting a web server
 without any need to edit configuration files first.

## webfs 1.21+ds1

=== debian/changelog ===
webfs (1.21+ds1-9) unstable; urgency=low

  * CVE-2013-0347: Permissions of log file.
    + debian/patches/80_cve_2013_0347.diff: New file.
    + debian/webfs.postinst: Change stat-override, empty world access.
    + debian/webfs.logrotate: Add a specification "su".
    + debian/NEWS: Add a comment.
    + Closes: #701638.
  * Transmission of large files with TLS.
    + debian/patches/68_large_files.diff: New file.
    + Closes: #702660.
  * Incorporate translation updates from 1.21+ds1-8.1.
    Sincere thanks to Christian Perrier and translators;
    in particular Joe Hansen for the completely new Danish
    translation.
  * Debconf translation update:
    + Japanese (victory). Closes: #717705.
    + debian/po/ja.po: Update.
  * Implement hardened builds:
    + debian/rules: Compilation flags using dpkg-buildflags.
    + debian/patches/75_hardening_flags.diff: New file.
    + debian/control: Build depends on dpkg-dev (>= 1.15.7).
  * debian/webfs.init:
    * Adapt to LSB message passing, suggested by Trent W. Buck.
    * Implement "status" command.  Make "start" and "stop" idempotent.
    * Minor shell code clean up.
  * debian/control:
    + Standards 3.9.4; no changes.
    + Binary dependency on lsb-base (>= 3.2-14).
  * debian/rules:
    + Run verbose compiler stage: "verbose=yes".
    + [lintian] Trivial targets build-arch, build-indep.
  * debian/copyright:
    + Field names and URL conform to DEP-5, version 1.0.
    + Make a separate GPL-2+ license description, referenced twice.
  * debian/patches/63_gnutls.diff: Insert a single pointer cast.
  * debian/local/create_cert.sh: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 13 Dec 2013 19:22:21 +0100

webfs (1.21+ds1-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #660368
    - Dutch; (Jeroen Schot).  Closes: #661680

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 May 2012 07:20:27 +0200

webfs (1.21+ds1-8) unstable; urgency=low

  * Regressions on previous package version.
    + debian/postrm: Test on full path.
    + debian/postinst: Full path and temporary file copy.
    + Closes: #605690, #605691.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 02 Dec 2010 22:34:44 +0100

webfs (1.21+ds1-7) unstable; urgency=low

  * Violation of Policy 10.7.3: Config file.
    + Use `ucf' for updating configuration.
    + d/control: Depend on "ucf".
    + d/rules: Install conffile as "/usr/share/webfs/webfsd.conf.auto".
    + d/webfs.postinst: Copy old conffile, do all updating on the file
      "webfs.conf.auto", and register the result using "ucf" and "ucfr".
    + d/webfs.postrm: Purge with support of "ucfr" and "ucf".
    + Closes: #603926.
  * FTBFS when using "binutils-gold".
    + Explicitly add "-lgcrypt" to LDFLAGS.
    + debian/patches/63_gnutls.diff: Updated file.
    + Contributed by Roy Jamison. Origin LP: #665276.
    + Closes: #601044.
  * debian/webfs.init: Remove `$named' from Required-Start
      and from Required-Stop.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 30 Nov 2010 19:51:04 +0100

webfs (1.21+ds1-6) unstable; urgency=low

  * Upgrade standard from 3.8.4 to 3.9.1: No changes.
  * debian/po/cs.po: Updated file.
    + Thanks to Miroslav Kure for the updated translation.
    + Closes: #599945.
  * debian/po/ja.po: Renamed from incorrect "jp.po".

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 20 Oct 2010 10:15:27 +0200

webfs (1.21+ds1-5) unstable; urgency=low

  * debian/patches/63_gnutls.diff: Updated file.
    + Execute 'gnutls_*_deinit' inside a conditional block.
    + Closes: #577241

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 10 Jun 2010 08:58:00 +0200

webfs (1.21+ds1-4) unstable; urgency=low

  * Incorrect determination of group access, an old bug.
    + debian/patches/70_group_access.diff: New file.
    + debian/NEWS: Mention the vulnerability.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 22 Apr 2010 15:10:37 +0200

webfs (1.21+ds1-3) unstable; urgency=low

  * Prepare for better failure checks:
    + debian/patches/60_error_trapping.diff: New file.
  * Implement support for GnuTLS, replacing support for OpenSSL:
    + Closes: #395873.
    + debian/patches/63_gnutls.diff: New file.
    + debian/Make.config: Add macro USE_GNUTLS.
    + debian/control: Build depends on libgnutls-dev.
  * Improved usage of capacities offered by libgnutls:
    + debian/patches/66_further_gnutls.diff: New file.
  * debian/webfs.examples: New file.
    + debian/local/create_cert.sh: Generator of test certificates.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #572604
    + debian/po/en.po: Deleted trivial placeholder. Closes: #573121
  * [Debconf translation updates]
    + Work coordinated by Christian Perrier.
    + Vietnamese (Clytie Siddall).  Closes: #573169
    + Russian (Yuri Kozlov). Closes: #569979, #573196
    + Norwegian Bokmaal (Bjoern Steensrud). Closes: #573342
    + Polish (Wiktor Wandachowicz).  Closes: #573647
    + Swedish (Martin Bagge).  Closes: #574251
    + French (Christian Perrier).  Closes: #574367
    + Portuguese (Pedro Ribeiro).  Closes: #574865
    + Spanish (Francisco Javier Cuadrado).  Closes: #574952
    + Italian (Vincenzo Campanella).  Closes: #575100
    + German (Martin Eberhard Schauer).  Closes: #575172
  * debian/webfs.init:
    + At 'stop' and 'restart', make sure the old PID-file is removed.
    + debian/webfs.prerm: Workaround for outdated init-scripts.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 31 Mar 2010 15:31:57 +0200

webfs (1.21+ds1-2) unstable; urgency=low

  * Listening to dual protocols unless told otherwise:
    + debian/patches/55_sockopt_v6only.diff: New file. (Closes: #567524)
  * [lintian]: maintainer-script-without-set-e


=== debian/control ===
Source: webfs
Section: httpd
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.15.7), po-debconf,
 libgnutls-dev
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Standards-Version: 3.9.4
Homepage: http://linux.bytesex.org/misc/webfs.html

Package: webfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0,
 ucf, lsb-base (>= 3.2-14)
Provides: httpd
Description: lightweight HTTP server for static content
 This package provides a simple web server for mostly static content,
 with limited CGI support (GET requests only).
 .
 Example uses include giving HTTP access to the contents of an FTP
 site, or exporting some files by quickly starting a web server
 without any need to edit configuration files first.

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS  = $(shell dpkg-buildflags --get CFLAGS) -Wall -Wextra
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS CFLAGS LDFLAGS

builddir = debian/webfs
installdir = $(CURDIR)/$(builddir)

clean:
	dh $@

build-arch: build
build-indep: build

build:
	[ -f Make.config ] || cp debian/Make.config ./
	dh --before dh_auto_build $@
	$(MAKE) verbose=yes prefix=/usr
	dh --remaining $@

install: build
	$(MAKE) install  \
			prefix=$(installdir)/usr \
			mandir=$(installdir)/usr/share/man
	install -d $(installdir)/usr/share/webfs
	install -m 0644 debian/webfsd.conf \
		$(installdir)/usr/share/webfs/webfsd.conf.auto

binary-arch: install
	dh_testroot -a
	dh_installdirs -a
	#dh --before dh_auto_install $@
	dh_install --sourcedir=$(builddir)
	dh_installchangelogs -a -k README
	dh --after dh_auto_install $@

binary-indep:

binary: binary-arch

.PHONY: clean build install binary-arch binary-indep binary

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$// \
http://dl.bytesex.org/releases/webfs/webfs-([\d\.]+).tar.gz debian uupdate
